<?php

namespace App\Http\Controllers\Emails;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Mail\SendJustCreatedUserCredentialsMail;
use Illuminate\Support\Facades\Mail;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;

class JustCreatedUserCredentialsEmailController extends Controller
{
    public function justCreatedUserCredentials(Request $request)
    {
        $maildata = [
            'title' => 'Le nouveau compte pour ' . $request->username . ' vient juste d\'être créé.',
            'email' => $request->email,
            'password' => $request->password,
            'sendTo' => 'support.informatique@icc-finance.fr'
        ];

        $graph = new Graph();

        $graph->setAccessToken(session('accessToken'));

        try {
            $graph->createRequest('POST', '/users/support.informatique@icc-finance.fr/sendMail')
                ->setReturnType(Model\User::class)
                ->attachBody(array(
                    'message' =>
                    array(
                        'subject' => 'Le nouveau compte pour ' . $request->username . ' vient juste d\'être créé.',
                        'body' =>
                        array(
                            'contentType' => 'HTML',
                            'content' => (new SendJustCreatedUserCredentialsMail($maildata))->render(),
                        ),
                        'toRecipients' =>
                        array(
                            0 =>
                            array(
                                'emailAddress' =>
                                array(
                                    'address' => 'anthony.baucal@icc-finance.fr',
                                ),
                            ),
                        )
                    ),
                    'saveToSentItems' => 'true',
                ))
                ->execute();
        } catch (\Exception $e) {
            // Ignorer l'erreur
        }

        // A garder pour historique ==> Mail::to($maildata['sendTo'])->send(new SendJustCreatedUserCredentialsMail($maildata));

        return redirect()->route('membres');
    }
}
