<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Http\Request;
// use Microsoft\Graph\Graph;
// use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;
use Illuminate\Pagination\Paginator;

class DevicesTableMod extends Component
{
    public $filter;
    public $recherche='';
    public $entriesNumber='';
    public $order_champs ="DEVICE_NOM";
    protected $order='asc';

    public function getInfoIccAllDevices() {

        if($this->entriesNumber == '') { $this->entriesNumber = 25; }
        // if($this->filter == 'tout') { $fa = null; $ea = '!='; $fe = null; $ee = '!='; }
        // elseif($this->filter == 'activess-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '='; }
        // elseif($this->filter == 'activess-franchises') { $fa = 'Franchise'; $ea = '='; $fe = 1; $ee = '='; }
        // elseif($this->filter == 'activess-filiales') { $fa = 'Filiale'; $ea = '='; $fe = 1; $ee = '='; }
        // elseif($this->filter == 'archives-tout') { $fa = null; $ea = '!='; $fe = 0; $ee = '='; }
        // elseif($this->filter == 'archives-franchises') { $fa = 'Franchise'; $ea = '='; $fe = 1; $ee = '!='; }
        // elseif($this->filter == 'archives-filiales') { $fa = 'Filiale'; $ea = '='; $fe = 1; $ee = '!='; }

        $allDevices = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            // ->where('DEVICE_TYPE', $ea, $fa)
            // ->where('DEVICE_COMPTEACTIF',$ee,$fe)
            // ->where(function($query){
            //     $query->orWhere('EMPLOYEE_NOM','like','%'.trim($this->recherche," ")."%")
            //     ->orWhere('DEVICE_NOM','like','%'.$this->recherche."%")
            //     ->orWhere('DEVICE_MODEL','like','%'.$this->recherche."%")
            //     ->orWhere('DEVICE_ENROLLEDDATETIME','like','%'.$this->recherche."%")
            //     ->orWhere('DEVICE_LASTSYNC','like','%'.$this->recherche."%")
            //     ->orWhere('DEVICE_SERIALNUMBER','like','%'.$this->recherche."%");
            // })
            // ->orderBy($this->order_champs,$this->order)
            ->paginate($this->entriesNumber);

        return $allAgences;

    }

    public function ordonner($ordre,$params1){

        if ($params1 === $this->order) {
            $this->order = "desc";
        } else {
            $this->order = "asc";
        }

        switch ($ordre) {

            case "Employee":
                $this->order_champs="EMPLOYEE_NOM";
                break;

            case "Nom":
                $this->order_champs="DEVICE_NOM";
                break;

            case "Model":
                $this->order_champs="DEVICE_MODEL";
                break;

            case "Serial":
                $this->order_champs="DEVICE_SERIALNUMBER";
                break;
            
            case "Enrollement":
                $this->order_champs="DEVICE_ENROLLEDDATETIME";
                break;
        
            case "LastSync":
                $this->order_champs="DEVICE_LASTSYNC";
                break;

            default:
                $this->order_champs="DEVICE_NOM";
                break;
        }
    }

    // public function boot()
    // {
    //     Paginator::useTailwind();
    // }

    public function allActivesDevices() {

        $date = now();
        $date =  strtotime("-6 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $allActivesDevices = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_FKEMPLOYEEID', "!=", NULL)
            ->get();

        return $allActivesDevices;

    }

    public function allInactivesDevices() {

        $date = now();
        $date =  strtotime("-6 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $allInactivesDevices = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_FKEMPLOYEEID', "=", NULL)
            ->get();

        return $allInactivesDevices;

    }

    public function allDevicesToRenew() {

        $date = now();
        $date =  strtotime("-6 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $allDevicesToRenew = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_ENROLLEDDATETIME', "<", $date)
            ->get();

        return $allDevicesToRenew;

    }

    public function allExpiredDevices() {

        $date = now();
        $date =  strtotime("-9 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $allExpiredDevices = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_ENROLLEDDATETIME', "<", $date)
            ->get();

        return $allExpiredDevices;

    }

    public function countActivesDevices() {

        $date = now();
        $date =  strtotime("-6 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $countActivesDevices = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_FKEMPLOYEEID', "!=", NULL)
            ->count();

        return $countActivesDevices;

    }

    public function countInactivesDevices() {

        $date = now();
        $date =  strtotime("-6 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $countInactivesDevices = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_FKEMPLOYEEID', "=", NULL)
            ->count();

        return $countInactivesDevices;

    }

    public function countDevicesToRenew() {

        $date = now();
        $date =  strtotime("-6 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $countDevicesToRenew = DB::table('rh_devices')
            ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
            ->where('DEVICE_ENROLLEDDATETIME', "<", $date)
            ->count();

        return $countDevicesToRenew;

    }

    public function countExpiredDevices() {

        $date = now();
        $date =  strtotime("-9 month", strtotime($date));
        $date = date('Y/m/d h:i:s', $date);

        $countExpiredDevices = DB::table('rh_devices')
            ->where('DEVICE_ENROLLEDDATETIME', "<", $date)
            ->count();

        return $countExpiredDevices;

    }

    public function allDevices() {
        $allDevices = DB::table('rh_devices')
        ->join('rh_employees', 'rh_employees.EMPLOYEE_ID', '=', 'rh_devices.DEVICE_FKEMPLOYEEID')
        ->get();

    return $allDevices;

    }

    public function render()
    {
        return view('pages.devices-list',[
            'allDevices' => $this->allDevices(),
            'allActivesDevices' => $this->allActivesDevices(),
            'allInactivesDevices' => $this->allInactivesDevices(),
            'allDevicesToRenew' => $this->allDevicesToRenew(),
            'allExpiredDevices' => $this->allExpiredDevices(),
            'countActivesDevices' => $this->countActivesDevices(),
            'countInactivesDevices' => $this->countInactivesDevices(),
            'countDevicesToRenew' => $this->countDevicesToRenew(),
            'countExpiredDevices' => $this->countExpiredDevices(),        
        ]);
    }
}
