@include('layouts.agences.stats')

<div class="container-fluid pt-2">
    <div class="row">
        <div class="col-12">
            <div class="card mt-4">
                <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
                    <div class="bg-gradient-icc-orange shadow-primary border-radius-md py-3">
                        <h6 class="text-white text-capitalize ps-4">
                            <div class="text-white me-2 d-flex align-items-center justify-content-between font-semibold">
                                <div class="d-flex align-items-center ">
                                    <i class="material-icons opacity-10">{{ $tableTitleIcon }}</i>
                                    <span class="ms-1">{{ $tableTitle }}</span>
                                </div>
                                <div class="me-3 text-sm icc-btn-orange">
                                    <a onclick='Livewire.emit("openModal", "agences.agence-form-mod", {{ json_encode(['agenceId' => '']) }})'
                                        class="d-flex align-items-center">
                                        <span class="me-1">Créer une agence</span>
                                        <i class="material-icons opacity-10">add_circle</i>
                                    </a>
                                </div>
                            </div>
                        </h6>
                    </div>
                    <div class="card-body px-0">
                        <div class="table-responsive ps-3 pe-3 mb-2">
                            <table id="table_agences" class="table align-items-center mb-0"
                                aria-describedby="tableau des agences">
                                <thead>
                                    <tr>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Agences</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Type</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">
                                            Statut</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Directeur(s)</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-7">
                                            Raison Sociale - Statut juridique</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">
                                            Editer</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-7">
                                            SharePoint</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($allAgences as $i)
                                        <?php
                                        $categories[$i->AGENCE_NOM][] = $i;
                                        $allAgences = $categories;
                                        ?>
                                    @endforeach
                                    @foreach ($allAgences as $agence)
                                        <tr>
                                            <td>
                                                <div class="d-flex py-2">
                                                    <div class="d-flex flex-column justify-content-center">
                                                        <a onclick='Livewire.emit("openModal", "agences.agence-details-mod", {{ json_encode(["agenceId" => $agence[0]->AGENCE_ID]) }})'
                                                            name="agences_link">
                                                            <h6 class="mb-0 text-sm font-semibold">
                                                                {{ $agence[0]->AGENCE_NOM }}</h6>
                                                        </a>
                                                    </div>
                                                </div>
                                            </td>
                                            <td class="align-middle text-sm">
                                                <span
                                                    class="text-xs text-secondary mb-0">{{ $agence[0]->AGENCE_TYPE }}</span>
                                            </td>
                                            <td class="align-middle text-center text-sm">
                                                @if ($agence[0]->AGENCE_COMPTEACTIF == '1')
                                                    <span class="badge badge-sm bg-gradient-success">Actif</span>
                                                @elseif ($agence[0]->AGENCE_COMPTEACTIF == '0')
                                                    <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                                @endif
                                            </td>
                                            <td class="">
                                                <div class="flex flex-wrap">
                                                    @foreach ($agence as $directeur)
                                                        <a onclick='Livewire.emit("openModal", "users.user-details-mod", {{ json_encode(["userId" => $directeur->EMPLOYEE_ID]) }})'
                                                            name="agence_link" style="margin: 2px;"
                                                            class="px-2 font-medium rounded-sm icc-etiquette-info">
                                                            <span class="text-xs">{{ $directeur->EMPLOYEE_PRENOM }}
                                                                {{ $directeur->EMPLOYEE_NOM }}</span>
                                                        </a>
                                                    @endforeach
                                                </div>
                                            </td>
                                            <td>
                                                <span
                                                    class="text-xs font-weight-bold mb-0">{{ $agence[0]->AGENCE_RAISONSOCIALE }}</span>
                                                <span
                                                    class="text-xs text-secondary mb-0">-&nbsp;&nbsp;{{ $agence[0]->AGENCE_STATUTJURIDIQUE }}</span>
                                            </td>
                                            <td class="align-middle text-center">
                                                <a onclick='Livewire.emit("openModal", "agences.agence-form-mod", {{ json_encode(["agenceId" => $agence[0]->AGENCE_ID]) }})'
                                                    class="font-semibold" title="Editer les informations de {{ $agence[0]->AGENCE_NOM }}">
                                                    <span class="material-icons">mode_edit</span>
                                                </a>
                                            </td>
                                            <td class="align-middle text-center">
                                                @php
                                                    $sharepointBase = 'https://iccfinance.sharepoint.com/sites/gestion_groupe/Documents%20partages';
                                                    $sharepointType = strtoupper($agence[0]->AGENCE_TYPE) . 'S';
                                                    if ($agence[0]->AGENCE_RAISONSOCIALE === 'ICC Développement') {
                                                        $sharepointAdresse = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC DEVELOPPEMENT/Données Sociales';
                                                    } elseif ($agence[0]->AGENCE_RAISONSOCIALE === 'ICC Finance') {
                                                        $sharepointAdresse = 'https://iccfinance.sharepoint.com/sites/AdmingroupeICC/Documents%20partages/ICC Finance/Données Sociales';
                                                    } elseif ($sharepointType === 'FILIALES') {
                                                        $sharepointAgence = ucwords($agence[0]->AGENCE_NOM);
                                                        $sharepointAdresse = $sharepointBase . '/' . $sharepointType . '/ICC ' . $sharepointAgence;
                                                    } else {
                                                        $sharepointAgence = strtoupper($agence[0]->AGENCE_RAISONSOCIALE) . ' - ' . $agence[0]->AGENCE_NOM;
                                                        $sharepointAdresse = $sharepointBase . '/' . $sharepointType . '/' . $sharepointAgence;
                                                    }
                                                @endphp
                                                <a href="{{ url($sharepointAdresse) }}" target="_blank" title="Ouvrir le SharePoint de {{ $agence[0]->AGENCE_NOM }}">
                                                    <span class="material-icons">folder</span>
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@include('js.defaultTable', ['tableId' => '#table_agences'])
