@include('layouts.dashboard.stats')

<div class="container-fluid pt-2">
    <div class="row">
        <div class="col-lg-4 col-md-0 mt-4 mb-4">
            <div class="card z-index-2  ">
                <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2 bg-transparent">
                    <div class="bg-gradient-primary shadow-primary border-radius-lg py-3 pe-1">
                        <div class="chart">
                            @livewire('dashboard.dashboard-graphics-mod')
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    @php
                        $hiresStats = 0;
                        foreach ($hiresNumber as $hire) {
                            $hiresStats += $hire;
                        }
                    @endphp
                    <h6 class="mb-0 "> Recrutements sur les 5 derniers mois et le mois à venir</h6>
                    <p class="text-sm mb-4"> Total : <span class="font-weight-bolder">{{ $hiresStats }}</span>
                        recrutements.</p>
                    {{-- <hr class="dark horizontal"> --}}
                    {{-- <div class="d-flex ">
                        <i class="material-icons text-sm my-auto me-1">schedule</i>
                        <p class="mb-0 text-sm"> updated 4 min ago </p>
                    </div> --}}
                </div>
            </div>
        </div>
        <div class="col-8">
            <div class="card mt-4">
                <div class="card-header p-0 position-relative mt-n4 ms-3 me-3 z-index-2">
                    <div class="bg-gradient-icc-orange shadow-primary border-radius-md py-3">
                        <h6 class="text-white text-capitalize ps-4">
                            <div class="text-white me-2 d-flex align-items-center font-semibold">
                                <em class="material-icons opacity-10">{{ $tableTitleIcon }}</em>
                                <span class="ms-1">{{ $tableTitle }}</span>
                            </div>
                        </h6>
                    </div>
                    <div class="card-body px-0">
                        <div class="table-responsive ps-3 pe-3 mb-2">
                            <table id="table_hires" class="table align-items-center mb-0">
                                <thead>
                                    <tr>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-1">
                                            Utilisateurs</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-1">
                                            Statut</th>
                                        <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-1">
                                            Fonction</th>
                                        {{-- <th class="text-uppercase text-secondary text-xxs font-weight-bolder opacity-1">
                                            Agences</th> --}}
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-1">
                                            Date arrivée</th>
                                        <th
                                            class="text-uppercase text-center text-secondary text-xxs font-weight-bolder opacity-1">
                                            Email</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($lastHires as $member)
                                        <tr>
                                            <td>
                                                <div class="d-flex px-2 py-1 ms-2">
                                                    <div>
                                                        @if ($member->EMPLOYEE_PHOTO)
                                                            <img src="{{ $member->EMPLOYEE_PHOTO }}"
                                                                class="avatar avatar-sm me-3 border-radius-lg"
                                                                alt="{{ $member->EMPLOYEE_PRENOM }}_{{ $member->EMPLOYEE_NOM }}_id">
                                                        @else
                                                            <img src="{{ asset('/img/nobody.jpg') }}"
                                                                class="avatar avatar-sm me-3 border-radius-lg"
                                                                alt="nobody_id">
                                                        @endif
                                                    </div>
                                                    <a onclick='Livewire.emit("openModal", "users.user-details-mod", {{ json_encode(['userId' => $member->EMPLOYEE_ID]) }})'
                                                        name="members_link">
                                                        <div class="d-flex flex-column justify-content-center">
                                                            <h6 class="mb-0 text-sm font-semibold">
                                                                {{ $member->EMPLOYEE_NOM }}
                                                                {{ $member->EMPLOYEE_PRENOM }}</h6>
                                                            <p class="text-xs text-secondary mb-0">
                                                                {{ $member->EMPLOYEE_EMAILPRO }}</p>
                                                        </div>
                                                    </a>
                                                </div>
                                            </td>
                                            <td class="align-middle text-center text-sm">
                                                @if ($member->EMPLOYEE_COMPTEACTIF == '1')
                                                    <span class="badge badge-sm bg-gradient-success">Actif</span>
                                                @elseif ($member->EMPLOYEE_COMPTEACTIF == '0')
                                                    <span class="badge badge-sm bg-gradient-icc-orange">Inactif</span>
                                                @endif
                                            </td>
                                            <td>
                                                <p class="text-xs font-weight-bold mb-0 ms-3">
                                                    {{ $member->EMPLOYEE_STATUT }}</p>
                                                <p class="text-xs text-secondary mb-0 ms-3">
                                                    {{ $member->EMPLOYEE_FONCTION }}</p>
                                            </td>
                                            {{-- <td>
                                                @php
                                                $agence = $member->AGENCE_NOM;
                                                $md5Agence = md5($agence);
                                                $couleurAgence = substr($md5Agence, -0);
                                                @endphp
                                                <div class="flex flex-wrap ms-3">
                                                    <a onclick='Livewire.emit("openModal", "agences.agence-details-mod", {{ json_encode(['agenceId' => $member->EMPLOYEE_FKAGENCEID]) }})'
                                                        name="agence_link"
                                                        class="px-2 font-medium rounded-sm icc-etiquette-info">
                                                        <strong class="text-xs">{{ $member->AGENCE_NOM }}</strong>
                                                    </a>
                                                </div>
                                            </td> --}}
                                            <td class="align-middle text-center">
                                                @if ($member->EMPLOYEE_DATEARRIVEE != null)
                                                    @php
                                                        $dateArrivee = date('d/m/Y', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                                        $dateArriveeCachee = date('Y/m/d', strtotime($member->EMPLOYEE_DATEARRIVEE));
                                                    @endphp
                                                @else
                                                    @php
                                                        $dateArrivee = '-';
                                                        $dateArriveeCachee = '-';
                                                    @endphp
                                                @endif
                                                <span hidden>{{ $dateArriveeCachee }}</span>
                                                <span
                                                    class="text-secondary text-xs font-weight-bold">{{ $dateArrivee }}</span>
                                            </td>
                                            {{-- <td class="align-middle text-center">
                                                <a wire:click='$emit("openModal", "users.user-form-mod", @json(['userId' => $member->EMPLOYEE_ID]))'
                                                    class="font-semibold">
                                                    <span class="material-icons">mode_edit</span>
                                                </a>
                                            </td> --}}
                                            <td class="align-middle text-center">
                                                <a href="{{ route('user_credentials_email', ['userId' => $member->EMPLOYEE_ID]) }}"
                                                    title="Envoyer les nouveaux accès par courriel à {{ $member->EMPLOYEE_PRENOM }} {{ $member->EMPLOYEE_NOM }}"
                                                    class="font-semibold">
                                                    <span class="material-icons">email</span>
                                                </a>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
